raise ArgumentError in Enumerator#new in no given blocks
Priority: Normal   

Assignee:    

Target version:    

Description

Currently, Enumerator#new allows this code (no block given):

obj = Object.new

Enumerator.new(obj)

 with a warning (since ruby-2.0.0-preview2):

-e:1: warning: Enumerator.new without a block is deprecated; use Object#to_enum instead

 I think it's okay to remove this behaviour.

And I think that it seems natural to raise ArgumentError if no block is given.

pull request:

https://github.com/ruby/ruby/pull/3408

Associated revisions

Revision fa356a798aefc20725467d4fad02df8325d63e71 - 12/22/2020 04:52 AM - shyouhei (Shyouhei Urabe)

Enumerator.new: raise unless block given

Has been deprecated since c73b6bd7ebd01133538c645566944132dbde4d13.

[Feature #17116] [ruby-dev:50945]

Revision fa356a798aefc20725467d4fad02df8325d63e71 - 12/22/2020 04:52 AM - shyouhei (Shyouhei Urabe)

Enumerator.new: raise unless block given

Has been deprecated since c73b6bd7ebd01133538c645566944132dbde4d13.

[Feature #17116] [ruby-dev:50945]

Revision fa356a79 - 12/22/2020 04:52 AM - shyouhei (Shyouhei Urabe)

Enumerator.new: raise unless block given

Has been deprecated since c73b6bd7ebd01133538c645566944132dbde4d13.

[Feature #17116] [ruby-dev:50945]

History

#1 - 08/11/2020 05:17 PM - S_H_ (Shun Hiraoka)

- Description updated

#2 - 08/12/2020 12:30 AM - sawa (Tsuyoshi Sawada)

- Description updated

#3 - 12/22/2020 04:52 AM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Closed

Applied in changeset git|fa356a798aefc20725467d4fad02df8325d63e71.

Enumerator.new: raise unless block given

Has been deprecated since c73b6bd7ebd01133538c645566944132dbde4d13.

[Feature #17116] [ruby-dev:50945]

Powered by TCPDF (www.tcpdf.org)

07/17/2025 1/1

https://github.com/ruby/ruby/pull/3408
https://bugs.ruby-lang.org/projects/ruby-master/repository/git/revisions/fa356a798aefc20725467d4fad02df8325d63e71
https://bugs.ruby-lang.org/issues/17116
bugs.ruby-lang.org/issues/17116
http://www.tcpdf.org

